extends CanvasLayer

signal complete(option)


func _on_new_game_button_pressed() -> void:
    emit_signal('complete', 'new game')
    return


func _on_quit_button_pressed() -> void:
    get_tree().quit()
    return


func _on_continue_button_mouse_entered() -> void:
    if not $'Menu/Menu Elements/Menu Options/Continue/Continue Button'.disabled:
        $'Menu Button Hover'.play(0.0)
    return


func _on_new_game_button_mouse_entered() -> void:
    $'Menu Button Hover'.play(0.0)
    return


func _on_settings_button_mouse_entered() -> void:
    $'Menu Button Hover'.play(0.0)
    return


func _on_credits_button_mouse_entered() -> void:
    $'Menu Button Hover'.play(0.0)
    return


func _on_quit_button_mouse_entered() -> void:
    $'Menu Button Hover'.play(0.0)
    return
